module led_kurukuru
  ( input CLK, RST, output reg [7:0] LED );
   parameter CounterBits = 24;

   reg [(CounterBits-1):0] CNT;
       wire 		   STROBE = &CNT;

   always @ (posedge CLK) begin
      if (RST) begin
         CNT <= 0;
         LED <= 8'b1000_0000;
      end else begin
         CNT <= CNT+1;
         if (STROBE) 
           LED <= {LED[0], LED[7:1]};
      end
   end
endmodule // led_kurukuru
