`timescale 1ns/1ps

module led_kurukuru_test();
   parameter real STEP = 10;

   reg 		  CLK, RST;

   initial CLK <= 1;
   always # (STEP/2) CLK <= ~CLK;

   wire [15:0] 	  LED;
   
   led_with_cmt # ( .CounterBits(2) )
     uut ( .CLK(CLK), .RST(RST), .LED(LED) );

   initial begin
      RST <= 1;

      #(13.1*STEP)
      RST <= 0;
   end
   
endmodule // led_kurukuru_test
